Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.msg
Interface HL7ValidationControlInfoInterface

All Known Implementing Classes:
  HL7ValidationControlInfo

    public interface HL7ValidationControlInfoInterface

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/04/22 05:54:46 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`boolean` | `getAutoValidateIncomingMessage()`
`boolean` | `getAutoValidateOutgoingMessage()` Method getAutoValidateOutgoingMessage
`boolean` | `getThrowExceptionUponValidationFailure()` Method getThrowExceptionUponValidationFailure
`boolean` | `isAutoValidateIncomingMessage()` Method isAutoValidateIncomingMessage
`boolean` | `isAutoValidateOutgoingMessage()` Method isAutoValidateOutgoingMessage
`boolean` | `isThrowExceptionUponValidationFailure()` Method isThrowExceptionUponValidationFailure
`void` | `setAutoValidateIncomingMessage(boolean b)` Method setAutoValidateIncomingMessage
`void` | `setAutoValidateOutgoingMessage(boolean b)` Method setAutoValidateOutgoingMessage
`void` | `setThrowExceptionUponValidationFailure(boolean b)` Method setThrowExceptionUponValidationFailure

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### isAutoValidateOutgoingMessage

    boolean isAutoValidateOutgoingMessage()

  Method isAutoValidateOutgoingMessage

  Returns:
    boolean

### getAutoValidateOutgoingMessage

    boolean getAutoValidateOutgoingMessage()

  Method getAutoValidateOutgoingMessage

  Returns:
    boolean

### setAutoValidateOutgoingMessage

    void setAutoValidateOutgoingMessage(boolean b)

  Method setAutoValidateOutgoingMessage

  Parameters:
    `b-boolean` - value to set (true/false)

### isAutoValidateIncomingMessage

    boolean isAutoValidateIncomingMessage()

  Method isAutoValidateIncomingMessage

  Returns:
    boolean

### getAutoValidateIncomingMessage

    boolean getAutoValidateIncomingMessage()

### setAutoValidateIncomingMessage

    void setAutoValidateIncomingMessage(boolean b)

  Method setAutoValidateIncomingMessage

  Parameters:
    `b-boolean` - value to set (true/false)

### isThrowExceptionUponValidationFailure

    boolean isThrowExceptionUponValidationFailure()

  Method isThrowExceptionUponValidationFailure

  Returns:
    boolean

### getThrowExceptionUponValidationFailure

    boolean getThrowExceptionUponValidationFailure()

  Method getThrowExceptionUponValidationFailure

  Returns:
    boolean

### setThrowExceptionUponValidationFailure

    void setThrowExceptionUponValidationFailure(boolean b)

  Method setThrowExceptionUponValidationFailure

  Parameters:
    `b-boolean` - value to set (true/false)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD